#if !defined(AFX_MYBUTTONTV_H__75ACF37F_DEE2_48E5_A07F_0F68D5ADB658__INCLUDED_)
#define AFX_MYBUTTONTV_H__75ACF37F_DEE2_48E5_A07F_0F68D5ADB658__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyButtonTV.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMyButtonTV window

class CMyButtonTV : public CButton
{
// Construction
public:
	CMyButtonTV();

// Attributes
public:
	bool m_bMove;
// Operations
public:
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyButtonTV)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	void DrawTextEx(CString str,int flag);
	enum{MAIN = IDB_BT_MAIN_TV,DOWN = IDB_BT_MAIN_TV_DOWN,MOVE = IDB_BT_MAIN_TV_MOVE};
	void DrawText(int flag);
	void DisplayBitmap(UINT ID, int x, int y);
	virtual ~CMyButtonTV();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMyButtonTV)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPaint();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYBUTTONTV_H__75ACF37F_DEE2_48E5_A07F_0F68D5ADB658__INCLUDED_)
